Name:           snmpd-mdraid-connector
Version:        0.8
Release:        1%{?dist}
Summary:        An SNMP extension script to provide access to MD-RAID array state data

License:        GPLv3
URL:            https://www.mad-hacking.net/software/linux/agnostic/%{name}/index.xml
Source0:        https://github.com/MADhacking/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:         snmpd-mdraid-connector_lib-path-patch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       snmpd-connector-lib net-snmp net-snmp-utils mdraid-snmp-mib mdadm


%description
The snmpd-mdraid-connector package provides an SNMPD extension script and a 
helper script which together enable the SNMP daemon to be used to remotely 
monitor the health and sate of MD-RAID devices. Available information includes 
Array Path, Metadata Version, Array UUID, RAID Level, RAID Layout, and Chunk 
Size. Boolean indicators allowing the monitoring of Health State, Has Failed 
Components and Has Available Spares are also included. Finally, gauges 
representing Total Components, Active Components, Failed Components and Spare 
Components are provided.


%prep
%autosetup -n %{name}-%{name}-%{version} -p1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -c -m 755 usr/sbin/snmpd-mdraid-connector $RPM_BUILD_ROOT%{_sbindir}
install -c -m 755 usr/sbin/update-mdraid-cache $RPM_BUILD_ROOT%{_sbindir}
install -c -m 644 etc/snmpd-mdraid-connector $RPM_BUILD_ROOT%{_sysconfdir}


%files
%config(noreplace) %{_sysconfdir}/snmpd-mdraid-connector
%license LICENSE
%doc README.md
%{_sbindir}/snmpd-mdraid-connector
%{_sbindir}/update-mdraid-cache


%changelog
* Mon Jun  4 2018 Gary T. Giesen <ggiesen@giesen.me> - 0.8-1
- Initial build.
